POST api/User/GetOrderList
Request Information
URI Parameters
None.
Body Parameters
OrderParams| Name | Description | Type | Additional information |
|---|---|---|---|
| startTime | string |
None. |
|
| endTime | string |
None. |
|
| keyword | string |
None. |
|
| orderState | integer |
None. |
|
| page | integer |
None. |
|
| pagesize | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"startTime": "sample string 1",
"endTime": "sample string 2",
"keyword": "sample string 3",
"orderState": 4,
"page": 5,
"pagesize": 6
}
application/xml, text/xml
Sample:
<OrderParams xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ti.WebApi.Models.Params"> <endTime>sample string 2</endTime> <keyword>sample string 3</keyword> <orderState>4</orderState> <page>5</page> <pagesize>6</pagesize> <startTime>sample string 1</startTime> </OrderParams>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
JsonResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ContentEncoding | Encoding |
None. |
|
| ContentType | string |
None. |
|
| Data | Object |
None. |
|
| JsonRequestBehavior | JsonRequestBehavior |
None. |
|
| MaxJsonLength | integer |
None. |
|
| RecursionLimit | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"ContentEncoding": null,
"ContentType": "sample string 1",
"Data": {},
"JsonRequestBehavior": 0,
"MaxJsonLength": 1,
"RecursionLimit": 1
}
application/xml, text/xml
Sample:
<JsonResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/System.Web.Mvc"> <ContentEncoding xmlns:d2p1="http://schemas.datacontract.org/2004/07/System.Text" i:nil="true" /> <ContentType>sample string 1</ContentType> <Data /> <JsonRequestBehavior>AllowGet</JsonRequestBehavior> <MaxJsonLength>1</MaxJsonLength> <RecursionLimit>1</RecursionLimit> </JsonResult>